﻿Imports Infragistics.Win.Misc
Imports System.Text

Public Class Form1

    Private Sub UltraButton1_Click(sender As System.Object, e As System.EventArgs) Handles UltraButton1.Click
        Dim vSettings As Infragistics.Win.Misc.ValidationSettings = Me.UltraValidator1.GetValidationSettings(Me.UltraNumericEditor1)
        vSettings.ValidationTrigger = Infragistics.Win.Misc.ValidationTrigger.Programmatic

        'Validate the textBox, but do not display the default MessageBox
        Me.UltraValidator1.Validate(True, False)
    End Sub

    Private Sub OnRequiredFieldValidationError(ByVal sender As Object, ByVal e As ValidationErrorEventArgs)
        Dim sb As New StringBuilder()
        sb.Append("Custom Error Message:")
        sb.Append(Environment.NewLine)
        sb.Append(Environment.NewLine)

        Dim errors As ValidationResultsCollection = e.Validation.Errors
        For i As Integer = 0 To errors.Count - 1
            Dim result As ValidationResult = errors(i)
            sb.Append(String.Format("{0}{1}", result.ValidationSettings.Control.Name, Environment.NewLine))
        Next

        Dim ultraValidator As UltraValidator = TryCast(sender, UltraValidator)
        MessageBox.Show(sb.ToString(), "German Error Message", MessageBoxButtons.OK, ultraValidator.MessageBoxIcon)
    End Sub

    Private Sub Form1_Load(sender As System.Object, e As System.EventArgs) Handles MyBase.Load
        '  Handle the UltraValidator's ValidationError event
        AddHandler UltraValidator1.ValidationError, AddressOf Me.OnRequiredFieldValidationError
    End Sub
End Class
